/*
 * $Id: acconfig.h,v 1.5.2.1 2003/05/07 11:16:24 mt Exp $
 *
 * acconfig.h  - template used by autoheader to create config.h.in
 * config.h.in - used by autoconf to create config.h
 * config.h    - created by autoconf; defines generated by autoconf
 *
 * Author(s): Jens-Gero Boehm <jens-gero.boehm@suse.de>
 *            Pieter Hollants <pieter.hollants@suse.de>
 *            Marius Tomaschewski <mt@suse.de>
 *            Volker Wiegand <volker.wiegand@suse.de>
 *
 * This file is part of the SuSE Proxy Suite
 *            See also  http://proxy-suite.suse.de/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * A history log can be found at the end of this file.
 */

#if !defined(_ACCONFIG_H_)
#define _ACCONFIG_H_

/* ------------------------------------------------------------ */
@TOP@

/* Define to the canonical name of your host type */
#undef HOSTTYPE

/* Define if sys/syslog.h is needed on top of syslog.h */
#undef NEED_SYS_SYSLOG_H

/* Define if you want to enable the SO_LINGER option */
#undef ENABLE_SO_LINGER

/* Define to include crypt password support */
#undef HAVE_CRYPT

/* Define to include POSIX Regular Expressions */
#undef HAVE_REGEX

/* Define to include libwrap (tcp_wrappers) support */
#undef HAVE_LIBWRAP

/* Define to include LDAP for access configuration */
#undef HAVE_LIBLDAP

/* Define if you want to use RFC 1579 extensions */
#undef ENABLE_RFC1579

/* Define if you want to use RFC 2428 extensions */
#undef ENABLE_RFC2428

/* <!-- SSL --> */
/* Define if you want to use SSL functionality */
#undef ENABLE_SSL

/* <!-- /SSL --> */
/* Define as type suitable for network ports */
#undef u_int16_t

/* Define as type suitable for socket addresses */
#undef u_int32_t

@BOTTOM@

/* ------------------------------------------------------------ */

#endif /* defined(_ACCONFIG_H_) */

/* ------------------------------------------------------------
 * $Log: acconfig.h,v $
 * Revision 1.5.2.1  2003/05/07 11:16:24  mt
 * removed HAVE_LDAP_UMICH, HAVE_LDAP_NETSCAPE variables
 *
 * Revision 1.5  2002/05/02 12:17:50  mt
 * added HAVE_CRYPT option
 *
 * Revision 1.4  1999/09/23 08:06:56  wiegand
 * code cleanup, added installation target
 *
 * Revision 1.3  1999/09/17 16:32:28  wiegand
 * changes from source code review
 * added POSIX regular expressions
 *
 * Revision 1.2  1999/09/15 13:20:35  wiegand
 * new structure: with subdirectories
 *
 * ------------------------------------------------------------ */

